unit uzufall;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfzufall }

  Tfzufall = class(TForm)
    BitBtn1: TBitBtn;
    b_von0bis10: TButton;
    b_wuerfelzahlen: TButton;
    b_nurdreistellig: TButton;
    b_vonabisb: TButton;
    b_solangebis6: TButton;
    b_loeschen: TButton;
    e_a: TEdit;
    e_b: TEdit;
    e_anzahl: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    ListBox1: TListBox;
    ListBox2: TListBox;
    ListBox3: TListBox;
    ListBox4: TListBox;
    ListBox5: TListBox;
    procedure b_loeschenClick(Sender: TObject);
    procedure b_nurdreistelligClick(Sender: TObject);
    procedure b_solangebis6Click(Sender: TObject);
    procedure b_von0bis10Click(Sender: TObject);
    procedure b_vonabisbClick(Sender: TObject);
    procedure b_wuerfelzahlenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fzufall: Tfzufall;

implementation

{$R *.lfm}

{ Tfzufall }

procedure Tfzufall.b_von0bis10Click(Sender: TObject);
VAR anzahl, i, zz: WORD;
begin
  // Zufallszahlen zwischen 0 und 10
  anzahl:=STRTOINT(e_anzahl.text);
  FOR i:=1 TO anzahl DO
   BEGIN
     zz:=RANDOM(11);
     listbox1.items.add(INTTOSTR(i)+':  '+INTTOSTR(zz));
   END;
end;

procedure Tfzufall.b_vonabisbClick(Sender: TObject);
VAR anzahl, i, zz, a, b: WORD;
begin
  // Zufallszahlen zwischen a und b
  a:=STRTOINT(e_a.text);
  b:=STRTOINT(e_b.text);
  anzahl:=STRTOINT(e_anzahl.text);
  FOR i:=1 TO anzahl DO
   BEGIN
     zz:=RANDOM(b-a+1)+a;
     listbox4.items.add(INTTOSTR(i)+':  '+INTTOSTR(zz));
   END;
end;

procedure Tfzufall.b_nurdreistelligClick(Sender: TObject);
VAR anzahl, i, zz: WORD;
begin
  // nur dreistellige Zufallszahlen
  anzahl:=STRTOINT(e_anzahl.text);
  FOR i:=1 TO anzahl DO
   BEGIN
     zz:=RANDOM(900)+100;
     listbox3.items.add(INTTOSTR(i)+':  '+INTTOSTR(zz));
   END;
end;

procedure Tfzufall.b_loeschenClick(Sender: TObject);
begin
  listbox1.clear;
  listbox2.clear;
  listbox3.clear;
  listbox4.clear;
  listbox5.clear;
end;

procedure Tfzufall.b_solangebis6Click(Sender: TObject);
VAR i, zz: WORD;
begin
  // solange bis 6
   i:=0;
   REPEAT
     zz:=RANDOM(6)+1;
     i:=i+1;
     listbox5.items.add(INTTOSTR(i)+':  '+INTTOSTR(zz));
   UNTIL zz=6;
end;

procedure Tfzufall.b_wuerfelzahlenClick(Sender: TObject);
VAR anzahl, i, zz: WORD;
begin
  // Würfelzahlen
  anzahl:=STRTOINT(e_anzahl.text);
  FOR i:=1 TO anzahl DO
   BEGIN
     zz:=RANDOM(6)+1;
     listbox2.items.add(INTTOSTR(i)+':  '+INTTOSTR(zz));
   END;
end;

procedure Tfzufall.FormCreate(Sender: TObject);
begin
  RANDOMIZE;
end;

end.

